File ripgrep.patch of Package code

Use system copy of rg

--- a/node_modules/@vscode/ripgrep/lib/index.js	2022-02-28 18:14:49.611999000 +0100
+++ b/node_modules/@vscode/ripgrep/lib/index.js	2022-03-01 19:10:23.689160740 +0100
@@ -1,5 +1,3 @@
 'use strict';
 
-const path = require('path');
-
-module.exports.rgPath = path.join(__dirname, `../bin/rg${process.platform === 'win32' ? '.exe' : ''}`);
\ Brak znaku nowej linii na końcu pliku
+module.exports.rgPath = '/usr/bin/rg'
--- vendor/node_modules/@vscode/ripgrep/package.json.old	2023-04-02 20:14:44.062000000 +0200
+++ vendor/node_modules/@vscode/ripgrep/package.json	2023-04-03 20:04:17.545994400 +0200
@@ -8,16 +8,8 @@
     "type": "git",
     "url": "https://github.com/microsoft/vscode-ripgrep"
   },
-  "scripts": {
-    "postinstall": "node ./lib/postinstall.js"
-  },
   "author": "Rob Lourens",
   "license": "MIT",
-  "dependencies": {
-    "https-proxy-agent": "^7.0.2",
-    "yauzl": "^2.9.2",
-    "proxy-from-env": "^1.1.0"
-  },
   "devDependencies": {
     "@types/node": "^20.8.4"
   }
--- vendor/remote/node_modules/@vscode/ripgrep/package.json.old	2023-04-02 20:14:44.062000000 +0200
+++ vendor/remote/node_modules/@vscode/ripgrep/package.json	2023-04-03 20:04:17.545994400 +0200
@@ -8,16 +8,8 @@
     "type": "git",
     "url": "https://github.com/microsoft/vscode-ripgrep"
   },
-  "scripts": {
-    "postinstall": "node ./lib/postinstall.js"
-  },
   "author": "Rob Lourens",
   "license": "MIT",
-  "dependencies": {
-    "https-proxy-agent": "^7.0.2",
-    "yauzl": "^2.9.2",
-    "proxy-from-env": "^1.1.0"
-  },
   "devDependencies": {
     "@types/node": "^20.8.4"
   }
--- vscode-1.85.0/yarn.lock.orig	2023-12-06 11:36:56.000000000 +0100
+++ vscode-1.85.0/yarn.lock	2023-12-07 21:47:02.654042823 +0100
@@ -1410,10 +1410,6 @@
   version "1.15.9"
   resolved "https://registry.yarnpkg.com/@vscode/ripgrep/-/ripgrep-1.15.9.tgz#92279f7f28e1e49ad9a89603e10b17a4c7f9f5f1"
   integrity sha512-4q2PXRvUvr3bF+LsfrifmUZgSPmCNcUZo6SbEAZgArIChchkezaxLoIeQMJe/z3CCKStvaVKpBXLxN3Z8lQjFQ==
-  dependencies:
-    https-proxy-agent "^7.0.2"
-    proxy-from-env "^1.1.0"
-    yauzl "^2.9.2"
 
 "@vscode/spdlog@^0.15.0":
   version "0.15.0"
openSUSE Build Service is sponsored by